package com.flyfish.framework.adaptor.spi;

import com.flyfish.framework.adaptor.CriteriaAdaptor;

/**
 * 查询适配器
 * 基于spi提供实现类，最终返回对应的
 *
 * @author wangyu
 */
public interface CriteriaAdaptorFactory {

    /**
     * 生产适配器
     *
     * @return 结果
     */
    CriteriaAdaptor produce();

    /**
     * 查询类型
     *
     * @return 结果
     */
    Class<?> criteriaType();
}
