package com.flyfish.framework.r2dbc.adaptor;

import com.flyfish.framework.adaptor.CriteriaAdaptor;
import com.flyfish.framework.adaptor.spi.CriteriaAdaptorFactory;
import org.springframework.data.relational.core.query.Criteria;


/**
 * 实现适配层和底层的转化
 *
 * @author wangyu
 */
public class R2DbcCriteriaAdaptorFactory implements CriteriaAdaptorFactory {

    /**
     * 生产适配器
     *
     * @return 结果
     */
    @Override
    public CriteriaAdaptor produce() {
        return null;
    }

    /**
     * 查询类型
     *
     * @return 结果
     */
    @Override
    public Class<?> criteriaType() {
        return Criteria.class;
    }
}
